Summary: The most widely used IRC robot (also known as a "bot").
Name: eggdrop
Version: 1.6.17
Release: 1mg
Copyright: GPL
Group: System Environment/Daemons
Source: ftp://ftp.eggheads.org/pub/eggdrop/source/1.6/eggdrop%{version}.tar.gz
Patch0: %{name}-%{version}-conf.patch
URL: http://www.eggheads.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: tcl >= 8.3

%description
Eggdrop is an IRC bot, written in C. If you don't know what IRC is, this
is probably not whatever you're looking for! Eggdrop, being a bot, sits
on a channel and takes protective measures: to keep the channel from
being taken over (in the few ways that anything CAN), to recognize
banished users or sites and reject them, to recognize privileged users
and let them gain ops, etc.

%define eggpath /usr/share/eggdrop

%prep
%setup -q -n eggdrop%{version}
%patch0 -p1

%build
%configure
cd src/mod/compress.mod
%configure
cd ../dns.mod
%configure
cd ../../..
make config
make

%install
rm -rf %{buildroot}
make install DEST=%{buildroot}%{eggpath}

# Put the docs into place
find doc/ -name "Makefile*" -exec rm {} \;
mv doc/html .
mv scripts/*botchk .
mkdir examples ; mv eggdrop.conf examples
install -D -m 644 doc/man1/eggdrop.1 %{buildroot}%{_mandir}/man1/eggdrop.1
rm -rf doc/man1

# Clean-up what was installed
pushd %{buildroot}%{eggpath}
  rm -rf README doc eggdrop eggdrop.conf filesys logs modules \
	scripts/*botchk
  mv modules-%{version} modules
  mkdir -p %{buildroot}%{_bindir}
  mv eggdrop-%{version} %{buildroot}%{_bindir}/eggdrop
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING FEATURES INSTALL NEWS README doc examples html *botchk
%{_bindir}/eggdrop
%{eggpath}
%{_mandir}/man*/*

%changelog
* Mon Sep 13 2004 Jima <jima@devel.mintygreen.net> 1.6.17-1mg
- Upgraded to 1.6.17.

* Mon Jun 14 2004 Jima <jima@devel.mintygreen.net> 1.6.16-1mg
- Upgraded to 1.6.16.

* Sat Feb 28 2004 Jima <jima@devel.mintygreen.net> 1.6.15-1mg
- Upgraded to 1.6.15.

* Tue Apr 30 2002 Jima <jima@devel.tclug.org>
- Upgraded to 1.6.10.

* Wed Feb 28 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.6.3.

* Fri Jan 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.6.2 + bindsfix patch

* Sat Dec 23 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release

